package com.erubioman.verilog.processor;

import java.io.File;

import com.erubioman.Loggable;

public class ParsedVerilogProcessorConsole implements Loggable {

	public void addLog(String text) {
		System.out.print(text);
	}

	public void Execute(String inFile, String outFile, boolean doWires, boolean doSimplify, boolean doUnused) {
		new ParsedVerilogSorter(this, doWires, doSimplify, doUnused).TranslateFiles(new File(inFile),
				new File(outFile != null ? outFile : inFile + ".v"));
	}

}
